wake-up-neo.com

Native Reagieren: Ändern Sie die Ziel-SDK-Version für den Play Store-Upload

Im Play Store versuche ich, meine App hochzuladen, erhalte jedoch eine Warnung, d. H. Unten:

Anforderungen an die Ziel-API-Ebene ab August 2018

Warnung :

Ihre App zielt derzeit auf API-Ebene 22 und muss mindestens auf API-Ebene 26 abzielen, um sicherzustellen, dass sie auf den neuesten, für Sicherheit und Leistung optimierten APIs basiert.

Ab August 2018 müssen neue Apps mindestens auf Android 8.0 (API-Ebene 26) ausgerichtet sein ..__ Ab November 2018 müssen App-Updates auf Android 8.0 (API-Ebene 26) ausgerichtet sein.

8
Sadhu

build.gradle unter Android/app/ öffnen

finde den Android { }-Block

Ändern Sie die folgende Version wie folgt:

compileSdkVersion 27
buildToolsVersion "27.0.3"
minSdkVersion 16
targetSdkVersion 27

Ändern Sie im Abhängigkeitsblock die Zeile appcompat entsprechend der Zielversion

compile "com.Android.support:appcompat-v7:27.1.1"
18
Albert Gao

für den von @Bodhish erwähnten Maven-Teil musste ich es so machen:

allprojects {
    repositories {
        mavenLocal()
        jcenter()
        maven {
            url 'https://maven.google.com'
        }
        maven {
            // All of React Native (JS, Obj-C sources, Android binaries) 
            // is installed from npm
            url "$rootDir/../node_modules/react-native/Android"
        }
    }
}

mit diesem Stück hinzugefügt @ alberts Kommentar für mich gelöst. 

0
Tracey

Ändern Sie einfach targetVwersion in 26 in ./Android/app/build.gradle

 enter image description here

0
Andrey Patseiko